All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.dataselectors.html
Class RelationalMenuBar

    com.sas.servlet.tbeans.dataselectors.html.RelationalMenuBar

All Implemented Interfaces:
  ActionProviderViewInterface, HttpActionProviderInterface, HttpActionProviderViewInterface, com.sas.actionprovider.refresh.PartialRefreshActionsInterface, URLTemplateViewInterface, com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, com.sas.servlet.tbeans.AJAXControllerURLInterface, RenderableInterface, TransformationInterface, com.sas.servlet.tbeans.TransformationInterface2, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  ESRIMapMenu

    @SASScope(value="ALL")
    public class RelationalMenuBar

The RelationalMenuBar is a TransformationBean™ that generates the appropriate HTML 4.0 that is used to display a menubar of available data selectors for a relational viewer, such as the TableView. The menubar is not visible by default, so the user must call setVisible(true) before calling write to display the menubar.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

For More Information:

JSP custom tags provide an alternative to using the TransformationBeans™. Visit the Custom Tag Library Reference for additional information on the sas:RelationalMenuBar custom tag.

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

Since:
  3.1
See Also:
  Serialized Form

Constructor Summary
`RelationalMenuBar()` Constructor.

Method Summary
`javax.swing.table.TableModel` | `getModel()` Returns the menubar data model
`void` | `setModel(javax.swing.table.TableModel model)` Sets the menubar data model
`void` | `write(java.io.PrintWriter arg0)` Writes the full version of the transformation which includes the following content: Opening container html element.

Methods inherited from class com.sas.servlet.tbeans.dataselectors.html.ActionProviderMenuBar
`buildMenuBar, getBorderWidth, getCellPadding, getCellSpacing, getDefaultSelectorMenubar, getFirstTabIndex, getHeight, getHeightPercentage, getHorizontalOrientation, getLastTabIndex, getLeftImage, getMenuCount, getMenus, getRightImage, getSelectorActions, getSelectorMenubar, getSeparator, getSeparatorImage, getStyleClassPrefix, getTarget, getTemplate, getViewer, getWidth, getWidthPercentage, setBorderWidth, setCellPadding, setCellSpacing, setFirstTabIndex, setHeight, setHeightPercentage, setHorizontalOrientation, setLeftImage, setRightImage, setSelectorMenubar, setSeparator, setSeparatorImage, setStyleClassPrefix, setTarget, setTemplate, setTemplate, setTemplate, setViewer, setWidth, setWidthPercentage`

Methods inherited from class com.sas.servlet.tbeans.BaseActionTransformation
`dispose, getActionProvider, getActionSupportType, getUniqueId, isActionVisible, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setUniqueId`

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setLocale, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Methods inherited from interface com.sas.actionprovider.HttpActionProviderViewInterface
`getRequest, setRequest`

Constructor Detail

### RelationalMenuBar

    public RelationalMenuBar()

  Constructor. The action support type is automatically set to com.sas.actionprovider.support.ActionProviderSupportTypes.RELATIONAL_MENUBAR_SUPPORT.

Method Detail

### setModel

    public void setModel(javax.swing.table.TableModel model)

  Sets the menubar data model

  Parameters:
    `model` - the relational viewer model

### getModel

    public javax.swing.table.TableModel getModel()

  Returns the menubar data model

  Returns:
    the data model

### write

    public void write(java.io.PrintWriter arg0)
               throws java.io.IOException

  Description copied from class: `BaseActionTransformation2`
  Writes the full version of the transformation which includes the following content:
  - Opening container html element.
  - Content provided by preWrite() method
  - Content provided by writeContent() method
  - Content provided by postWrite() method
  - Closing container html element.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `com.sas.servlet.tbeans.BaseActionTransformation2`
  Parameters:
    `arg0` - The output stream to which the full content is written.
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs
  See Also:
    `#preWrite(PrintWriter)`, `BaseActionTransformation2.writeContent(PrintWriter)`, `#postWrite(PrintWriter)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.